commit: 59f91671b89f5243a9b6467e1780a07bb0a2b740
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun May 25 20:02:39 2025 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri May 30 15:45:15 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59f91671
sci-libs/libsigrok: drop IUSE static-libs, disable py3.10, use pushd/popd
Run default before cp for ruby
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
sci-libs/libsigrok/libsigrok-9999.ebuild | 90 +++++++++++++++-----------------
1 file changed, 42 insertions(+), 48 deletions(-)
diff --git a/sci-libs/libsigrok/libsigrok-9999.ebuild
b/sci-libs/libsigrok/libsigrok-9999.ebuild
index 908f3fbda84e..04f771c6e746 100644
--- a/sci-libs/libsigrok/libsigrok-9999.ebuild
+++ b/sci-libs/libsigrok/libsigrok-9999.ebuild
@@ -1,13 +1,11 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="8"
-
-PYTHON_COMPAT=( python3_{10..13} )
+EAPI=8
+PYTHON_COMPAT=( python3_{11..13} )
USE_RUBY="ruby31 ruby32"
RUBY_OPTIONAL="yes"
-
inherit python-r1 java-pkg-opt-2 ruby-ng udev xdg-utils
if [[ ${PV} == *9999* ]]; then
@@ -20,10 +18,11 @@ fi
DESCRIPTION="Basic hardware drivers for logic analyzers and input/output file
format support"
HOMEPAGE="https://sigrok.org/wiki/Libsigrok"
+S="${WORKDIR}"/${P}
LICENSE="GPL-3"
SLOT="0/9999"
-IUSE="bluetooth +cxx ftdi hidapi java nettle parport python ruby serial
static-libs test +udev usb"
+IUSE="bluetooth +cxx ftdi hidapi java nettle parport python ruby serial test
+udev usb"
REQUIRED_USE="java? ( cxx )
python? ( cxx ${PYTHON_REQUIRED_USE} )
ruby? ( cxx || ( $(ruby_get_use_targets) ) )"
@@ -31,29 +30,28 @@ REQUIRED_USE="java? ( cxx )
RESTRICT="!test? ( test )"
# We also support librevisa, but that isn't in the tree ...
-LIB_DEPEND="
- >=dev-libs/glib-2.32.0[static-libs(+)]
- >=dev-libs/libzip-0.8:=[static-libs(+)]
+COMMON_DEPEND="
+ >=dev-libs/glib-2.32.0
+ >=dev-libs/libzip-0.8:=
bluetooth? ( >=net-wireless/bluez-4.0:= )
- cxx? ( dev-cpp/glibmm:2[static-libs(+)] )
- ftdi? ( dev-embedded/libftdi:1[static-libs(+)] )
+ cxx? ( dev-cpp/glibmm:2 )
+ ftdi? ( dev-embedded/libftdi:1 )
hidapi? ( >=dev-libs/hidapi-0.8.0 )
- nettle? ( dev-libs/nettle:=[static-libs(+)] )
- parport? ( sys-libs/libieee1284[static-libs(+)] )
+ nettle? ( dev-libs/nettle:= )
+ parport? ( sys-libs/libieee1284 )
python? (
${PYTHON_DEPS}
>=dev-python/pygobject-3.0.0[${PYTHON_USEDEP}]
)
ruby? ( $(ruby_implementations_depend) )
- serial? ( >=dev-libs/libserialport-0.1.1[static-libs(+)] )
- usb? ( virtual/libusb:1[static-libs(+)] )
+ serial? ( >=dev-libs/libserialport-0.1.1 )
+ usb? ( virtual/libusb:1 )
"
-RDEPEND="
+RDEPEND="${COMMON_DEPEND}
java? ( >=virtual/jre-1.8:* )
- !static-libs? ( ${LIB_DEPEND//\[static-libs(+)]} )
- static-libs? ( ${LIB_DEPEND} )
"
-DEPEND="${LIB_DEPEND//\[static-libs(+)]}
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
cxx? ( app-text/doxygen )
java? (
>=dev-lang/swig-3.0.6
@@ -66,21 +64,14 @@ DEPEND="${LIB_DEPEND//\[static-libs(+)]}
)
ruby? ( >=dev-lang/swig-3.0.8 )
test? ( >=dev-libs/check-0.9.4 )
- virtual/pkgconfig
"
-S="${WORKDIR}"/${P}
-
pkg_setup() {
use python && python_setup
use ruby && ruby-ng_pkg_setup
java-pkg-opt-2_pkg_setup
}
-src_unpack() {
- [[ ${PV} == *9999* ]] && git-r3_src_unpack || default
-}
-
sigrok_src_prepare() {
[[ ${PV} == *9999* ]] && eautoreconf
}
@@ -90,37 +81,38 @@ each_ruby_prepare() {
}
src_prepare() {
+ default
if use ruby; then
# copy source to where ruby-ng_src_unpack puts it
cp -rl "${S}" "${WORKDIR}"/all || die
# ruby-ng_src_prepare calls default by itself
ruby-ng_src_prepare
fi
- default
sigrok_src_prepare
use python && python_copy_sources
}
sigrok_src_configure() {
- econf \
- --disable-python \
- --disable-ruby \
- $(use_with bluetooth libbluez) \
- $(use_with ftdi libftdi) \
- $(use_with hidapi libhidapi) \
- $(use_with nettle libnettle) \
- $(use_with parport libieee1284) \
- $(use_with serial libserialport) \
- $(use_with usb libusb) \
- $(use_enable cxx) \
- $(use_enable java) \
- $(use_enable static-libs static) \
- "${@}"
+ local myeconfargs=(
+ --disable-python
+ --disable-ruby
+ $(use_with bluetooth libbluez)
+ $(use_with ftdi libftdi)
+ $(use_with hidapi libhidapi)
+ $(use_with nettle libnettle)
+ $(use_with parport libieee1284)
+ $(use_with serial libserialport)
+ $(use_with usb libusb)
+ $(use_enable cxx)
+ $(use_enable java)
+ )
+ econf "${myeconfargs[@]}" "${@}"
}
each_python_configure() {
- cd "${BUILD_DIR}"
- sigrok_src_configure --enable-python
+ pushd "${BUILD_DIR}" > /dev/null || die
+ sigrok_src_configure --enable-python
+ popd >/dev/null || die
}
each_ruby_configure() {
@@ -134,8 +126,9 @@ src_configure() {
}
each_python_compile() {
- cd "${BUILD_DIR}"
- emake python-build
+ pushd "${BUILD_DIR}" > /dev/null || die
+ emake python-build
+ popd >/dev/null || die
}
each_ruby_compile() {
@@ -153,9 +146,10 @@ src_test() {
}
each_python_install() {
- cd "${BUILD_DIR}"
- emake python-install DESTDIR="${D}"
- python_optimize
+ pushd "${BUILD_DIR}" > /dev/null || die
+ emake python-install DESTDIR="${D}"
+ python_optimize
+ popd >/dev/null || die
}
each_ruby_install() {